Changeset 1922


Ignore:
Timestamp:
Dec 19, 2010 11:31:25 AM (9 years ago)
Author:
stefan
Message:

sync with trunk rev1920

Location:
ThirdParty/Glpk/stable/1.7
Files:
7 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Glpk/stable/1.7

  • ThirdParty/Glpk/stable/1.7/INSTALL.Glpk

    r1766 r1922  
    1414You may download
    1515
    16 ftp://ftp.gnu.org/gnu/glpk/glpk-4.44.tar.gz
     16ftp://ftp.gnu.org/gnu/glpk/glpk-4.45.tar.gz
    1717
    1818and unpack it in this directory:
    1919
    20 gunzip glpk-4.44.tar.gz
    21 tar xf glpk-4.44.tar
     20gunzip glpk-4.45.tar.gz
     21tar xf glpk-4.45.tar
    2222
    2323Then you need to rename the directory
    24   glpk-4.44
     24  glpk-4.45
    2525into
    2626  glpk
  • ThirdParty/Glpk/stable/1.7/Makefile.in

    r1743 r1922  
    157157CDEFS = @CDEFS@
    158158CFLAGS = @CFLAGS@
     159COIN_CC_IS_CL_FALSE = @COIN_CC_IS_CL_FALSE@
     160COIN_CC_IS_CL_TRUE = @COIN_CC_IS_CL_TRUE@
    159161COIN_HAS_PKGCONFIG_FALSE = @COIN_HAS_PKGCONFIG_FALSE@
    160162COIN_HAS_PKGCONFIG_TRUE = @COIN_HAS_PKGCONFIG_TRUE@
  • ThirdParty/Glpk/stable/1.7/coinglpk-uninstalled.pc.in

    r1681 r1922  
    55Description: Gnu Linear Programming Kit
    66Version: @glpkmajorver@.@glpkminorver@
    7 Libs: -L${libdir} -lcoinglpk @GLPK_PCLIBS@
     7Libs: ${libdir}/libcoinglpk.la @GLPK_PCLIBS@
    88Cflags: -I@ABSBUILDDIR@ -I@abs_source_dir@/glpk/include
  • ThirdParty/Glpk/stable/1.7/configure

    r1867 r1922  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS PCADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion GLPK_SVN_REV build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS glpkmajorver glpkminorver COIN_HAS_ZLIB_TRUE COIN_HAS_ZLIB_FALSE GLPKDIR GLPK_PCLIBS LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS PCADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion GLPK_SVN_REV build build_cpu build_vendor build_os COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS glpkmajorver glpkminorver COIN_HAS_ZLIB_TRUE COIN_HAS_ZLIB_FALSE GLPKDIR GLPK_PCLIBS LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    19211921fi
    19221922
     1923# add automake conditional so we can recognize cl compiler in makefile
     1924coin_cc_is_cl=false
     1925if test x"$CXX" != x; then
     1926  case "$CXX" in
     1927    cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
     1928      coin_cc_is_cl=true
     1929      ;;
     1930  esac
     1931fi
     1932
     1933
     1934if test $coin_cc_is_cl = true; then
     1935  COIN_CC_IS_CL_TRUE=
     1936  COIN_CC_IS_CL_FALSE='#'
     1937else
     1938  COIN_CC_IS_CL_TRUE='#'
     1939  COIN_CC_IS_CL_FALSE=
     1940fi
     1941
     1942
    19231943
    19241944
     
    49945014*-*-irix6*)
    49955015  # Find out which ABI we are using.
    4996   echo '#line 4996 "configure"' > conftest.$ac_ext
     5016  echo '#line 5016 "configure"' > conftest.$ac_ext
    49975017  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    49985018  (eval $ac_compile) 2>&5
     
    65936613
    65946614# Provide some information about the compiler.
    6595 echo "$as_me:6595:" \
     6615echo "$as_me:6615:" \
    65966616     "checking for Fortran 77 compiler version" >&5
    65976617ac_compiler=`set X $ac_compile; echo $2`
     
    76607680   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    76617681   -e 's:$: $lt_compiler_flag:'`
    7662    (eval echo "\"\$as_me:7662: $lt_compile\"" >&5)
     7682   (eval echo "\"\$as_me:7682: $lt_compile\"" >&5)
    76637683   (eval "$lt_compile" 2>conftest.err)
    76647684   ac_status=$?
    76657685   cat conftest.err >&5
    7666    echo "$as_me:7666: \$? = $ac_status" >&5
     7686   echo "$as_me:7686: \$? = $ac_status" >&5
    76677687   if (exit $ac_status) && test -s "$ac_outfile"; then
    76687688     # The compiler can only warn and ignore the option if not recognized
     
    79287948   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    79297949   -e 's:$: $lt_compiler_flag:'`
    7930    (eval echo "\"\$as_me:7930: $lt_compile\"" >&5)
     7950   (eval echo "\"\$as_me:7950: $lt_compile\"" >&5)
    79317951   (eval "$lt_compile" 2>conftest.err)
    79327952   ac_status=$?
    79337953   cat conftest.err >&5
    7934    echo "$as_me:7934: \$? = $ac_status" >&5
     7954   echo "$as_me:7954: \$? = $ac_status" >&5
    79357955   if (exit $ac_status) && test -s "$ac_outfile"; then
    79367956     # The compiler can only warn and ignore the option if not recognized
     
    80328052   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80338053   -e 's:$: $lt_compiler_flag:'`
    8034    (eval echo "\"\$as_me:8034: $lt_compile\"" >&5)
     8054   (eval echo "\"\$as_me:8054: $lt_compile\"" >&5)
    80358055   (eval "$lt_compile" 2>out/conftest.err)
    80368056   ac_status=$?
    80378057   cat out/conftest.err >&5
    8038    echo "$as_me:8038: \$? = $ac_status" >&5
     8058   echo "$as_me:8058: \$? = $ac_status" >&5
    80398059   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    80408060   then
     
    1037710397  lt_status=$lt_dlunknown
    1037810398  cat > conftest.$ac_ext <<EOF
    10379 #line 10379 "configure"
     10399#line 10399 "configure"
    1038010400#include "confdefs.h"
    1038110401
     
    1047710497  lt_status=$lt_dlunknown
    1047810498  cat > conftest.$ac_ext <<EOF
    10479 #line 10479 "configure"
     10499#line 10499 "configure"
    1048010500#include "confdefs.h"
    1048110501
     
    1282112841   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1282212842   -e 's:$: $lt_compiler_flag:'`
    12823    (eval echo "\"\$as_me:12823: $lt_compile\"" >&5)
     12843   (eval echo "\"\$as_me:12843: $lt_compile\"" >&5)
    1282412844   (eval "$lt_compile" 2>conftest.err)
    1282512845   ac_status=$?
    1282612846   cat conftest.err >&5
    12827    echo "$as_me:12827: \$? = $ac_status" >&5
     12847   echo "$as_me:12847: \$? = $ac_status" >&5
    1282812848   if (exit $ac_status) && test -s "$ac_outfile"; then
    1282912849     # The compiler can only warn and ignore the option if not recognized
     
    1292512945   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1292612946   -e 's:$: $lt_compiler_flag:'`
    12927    (eval echo "\"\$as_me:12927: $lt_compile\"" >&5)
     12947   (eval echo "\"\$as_me:12947: $lt_compile\"" >&5)
    1292812948   (eval "$lt_compile" 2>out/conftest.err)
    1292912949   ac_status=$?
    1293012950   cat out/conftest.err >&5
    12931    echo "$as_me:12931: \$? = $ac_status" >&5
     12951   echo "$as_me:12951: \$? = $ac_status" >&5
    1293212952   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1293312953   then
     
    1449514515   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1449614516   -e 's:$: $lt_compiler_flag:'`
    14497    (eval echo "\"\$as_me:14497: $lt_compile\"" >&5)
     14517   (eval echo "\"\$as_me:14517: $lt_compile\"" >&5)
    1449814518   (eval "$lt_compile" 2>conftest.err)
    1449914519   ac_status=$?
    1450014520   cat conftest.err >&5
    14501    echo "$as_me:14501: \$? = $ac_status" >&5
     14521   echo "$as_me:14521: \$? = $ac_status" >&5
    1450214522   if (exit $ac_status) && test -s "$ac_outfile"; then
    1450314523     # The compiler can only warn and ignore the option if not recognized
     
    1459914619   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1460014620   -e 's:$: $lt_compiler_flag:'`
    14601    (eval echo "\"\$as_me:14601: $lt_compile\"" >&5)
     14621   (eval echo "\"\$as_me:14621: $lt_compile\"" >&5)
    1460214622   (eval "$lt_compile" 2>out/conftest.err)
    1460314623   ac_status=$?
    1460414624   cat out/conftest.err >&5
    14605    echo "$as_me:14605: \$? = $ac_status" >&5
     14625   echo "$as_me:14625: \$? = $ac_status" >&5
    1460614626   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1460714627   then
     
    1680616826   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1680716827   -e 's:$: $lt_compiler_flag:'`
    16808    (eval echo "\"\$as_me:16808: $lt_compile\"" >&5)
     16828   (eval echo "\"\$as_me:16828: $lt_compile\"" >&5)
    1680916829   (eval "$lt_compile" 2>conftest.err)
    1681016830   ac_status=$?
    1681116831   cat conftest.err >&5
    16812    echo "$as_me:16812: \$? = $ac_status" >&5
     16832   echo "$as_me:16832: \$? = $ac_status" >&5
    1681316833   if (exit $ac_status) && test -s "$ac_outfile"; then
    1681416834     # The compiler can only warn and ignore the option if not recognized
     
    1707417094   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1707517095   -e 's:$: $lt_compiler_flag:'`
    17076    (eval echo "\"\$as_me:17076: $lt_compile\"" >&5)
     17096   (eval echo "\"\$as_me:17096: $lt_compile\"" >&5)
    1707717097   (eval "$lt_compile" 2>conftest.err)
    1707817098   ac_status=$?
    1707917099   cat conftest.err >&5
    17080    echo "$as_me:17080: \$? = $ac_status" >&5
     17100   echo "$as_me:17100: \$? = $ac_status" >&5
    1708117101   if (exit $ac_status) && test -s "$ac_outfile"; then
    1708217102     # The compiler can only warn and ignore the option if not recognized
     
    1717817198   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1717917199   -e 's:$: $lt_compiler_flag:'`
    17180    (eval echo "\"\$as_me:17180: $lt_compile\"" >&5)
     17200   (eval echo "\"\$as_me:17200: $lt_compile\"" >&5)
    1718117201   (eval "$lt_compile" 2>out/conftest.err)
    1718217202   ac_status=$?
    1718317203   cat out/conftest.err >&5
    17184    echo "$as_me:17184: \$? = $ac_status" >&5
     17204   echo "$as_me:17204: \$? = $ac_status" >&5
    1718517205   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1718617206   then
     
    2009020110echo "$as_me:$LINENO: result: ${glpkmajorver}.${glpkminorver}" >&5
    2009120111echo "${ECHO_T}${glpkmajorver}.${glpkminorver}" >&6
    20092 if test x$glpkmajorver != x4 || test x$glpkminorver != x44 ; then
    20093   { { echo "$as_me:$LINENO: error: \"Incorrect GLPK version. This build system is made for GLPK 4.44. Please update by rerunning get.GLPK\"" >&5
    20094 echo "$as_me: error: \"Incorrect GLPK version. This build system is made for GLPK 4.44. Please update by rerunning get.GLPK\"" >&2;}
     20112if test x$glpkmajorver != x4 || ( test x$glpkminorver != x44 && test x$glpkminorver != x45 ); then
     20113  { { echo "$as_me:$LINENO: error: \"Incorrect GLPK version. This build system is made for GLPK 4.44 or 4.45. Please update by rerunning get.GLPK\"" >&5
     20114echo "$as_me: error: \"Incorrect GLPK version. This build system is made for GLPK 4.44 or 4.45. Please update by rerunning get.GLPK\"" >&2;}
    2009520115   { (exit 1); exit 1; }; }
    2009620116fi
     
    2035320373                    GLPK_LIBS="-lz $GLPK_LIBS"
    2035420374                    GLPK_PCLIBS="-lz $GLPK_PCLIBS"
     20375                    GLPK_LIBS_INSTALLED="-lz $GLPK_LIBS_INSTALLED"
    2035520376
    2035620377
     
    2234222363   { (exit 1); exit 1; }; }
    2234322364fi
     22365if test -z "${COIN_CC_IS_CL_TRUE}" && test -z "${COIN_CC_IS_CL_FALSE}"; then
     22366  { { echo "$as_me:$LINENO: error: conditional \"COIN_CC_IS_CL\" was never defined.
     22367Usually this means the macro was only invoked conditionally." >&5
     22368echo "$as_me: error: conditional \"COIN_CC_IS_CL\" was never defined.
     22369Usually this means the macro was only invoked conditionally." >&2;}
     22370   { (exit 1); exit 1; }; }
     22371fi
    2234422372if test -z "${COIN_HAS_PKGCONFIG_TRUE}" && test -z "${COIN_HAS_PKGCONFIG_FALSE}"; then
    2234522373  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_PKGCONFIG\" was never defined.
     
    2293622964s,@build_vendor@,$build_vendor,;t t
    2293722965s,@build_os@,$build_os,;t t
     22966s,@COIN_CC_IS_CL_TRUE@,$COIN_CC_IS_CL_TRUE,;t t
     22967s,@COIN_CC_IS_CL_FALSE@,$COIN_CC_IS_CL_FALSE,;t t
    2293822968s,@CDEFS@,$CDEFS,;t t
    2293922969s,@ADD_CFLAGS@,$ADD_CFLAGS,;t t
  • ThirdParty/Glpk/stable/1.7/configure.ac

    r1867 r1922  
    6262glpkminorver=`awk '/define GLP_MINOR_VERSION/ {print $3}' $srcdir/glpk/include/glpk.h`
    6363AC_MSG_RESULT([${glpkmajorver}.${glpkminorver}])
    64 if test x$glpkmajorver != x4 || test x$glpkminorver != x44 ; then
    65   AC_MSG_ERROR(["Incorrect GLPK version. This build system is made for GLPK 4.44. Please update by rerunning get.GLPK"])
     64if test x$glpkmajorver != x4 || ( test x$glpkminorver != x44 && test x$glpkminorver != x45 ); then
     65  AC_MSG_ERROR(["Incorrect GLPK version. This build system is made for GLPK 4.44 or 4.45. Please update by rerunning get.GLPK"])
    6666fi
    6767AC_SUBST(glpkmajorver)
  • ThirdParty/Glpk/stable/1.7/get.Glpk

    r1766 r1922  
    22
    33set -e
    4 glpk_ver=4.44
     4glpk_ver=4.45
    55
    66wgetcmd=wget
Note: See TracChangeset for help on using the changeset viewer.